Revision: 493
http://openrpt.svn.sourceforge.net/openrpt/?rev=493&view=rev
Author: gilmoskowitz
Date: 2010-12-07 15:33:28 +0000 (Tue, 07 Dec 2010)
Log Message:
-----------
update bundling to handle single mac arch and qt 4.6 plugin loc
Modified Paths:
--------------
openrpt/tags/R3_2_1/utilities/bundle.sh
Modified: openrpt/tags/R3_2_1/utilities/bundle.sh
===================================================================
--- openrpt/tags/R3_2_1/utilities/bundle.sh 2010-12-06 19:21:57 UTC (rev 492)
+++ openrpt/tags/R3_2_1/utilities/bundle.sh 2010-12-07 15:33:28 UTC (rev 493)
@@ -87,7 +87,11 @@
fi
mkdir "$BUNDLEDIR" || return 3
for FILE in ${APPSTOBUNDLE[@]} ; do
- cp -R "$BASEDIR/bin/${FILE}.app" $BUNDLEDIR || return 4
+ if [ "$OSVER" = MACUniversal ] ; then
+ cp -R "$BASEDIR/bin/${FILE}.app" $BUNDLEDIR || return 4
+ else
+ ditto --rsrc --arch $ARCH "$BASEDIR/bin/${FILE}.app" "$BUNDLEDIR/${FILE}.app" || return 4
+ fi
done
cp COPYING $BUNDLEDIR || return 4
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|